package com.eactive.eai.transformer.message.generator;

import com.eactive.eai.transformer.layout.Layout;
import com.eactive.eai.transformer.message.CommonBytesMessage;
import com.eactive.eai.transformer.message.Message;

public class CommonBytesMessageGenerator implements MessageGenerator {
    public Message createMessage(Layout layout, boolean initialize, boolean useDefault) throws Exception {
        CommonBytesMessage message = (CommonBytesMessage) layout.getRootItem();
        message = (CommonBytesMessage) message.clone();
        message.createObject();
        return message;
    }
}
